<?php
session_start();
if(!isset($_FILES['foto']['name']))
  {
	wyswietl_foto('Nie wybrano pliku, proszę spróbować ponownie.');
  } else {
		require_once('druk.php');
		$nazwa = $_SESSION['nazwa'];
		$katalog = 'upload/'.$nazwa.'/foto/';
		$pobierz = true;
		$filename = $_FILES['foto']['name'];
		$allowedExts = array("jpg", "jpeg", 'gif', "bmp", "png");
		$temp = explode(".", $_FILES["foto"]["name"]);
		$extension = end($temp);
		if (in_array($extension, $allowedExts)) {
			$pobierz = true;
		} else {
			$pobierz = false;
			wyswietl_foto('Niedozwolony format pliku');
		}
		if (file_exists($katalog.$filename)) {
			wyswietl_foto('Plik już istnieje');
			$pobierz = false;
		}
		 if ($pobierz) { 
			$width = 600;
			$height = 500;
			$nf = resizeImage($_FILES['foto']['name'], $width, $height);
			imagepng($nf, $katalog.$_FILES['foto']['name']);
			wyswietl_foto('Zdjęcie zostało wysłane na sewer');
		 }
  }
  
  //------------------------------------------------
	function resizeImage($filename, $max_width, $max_height) {
		list($orig_width, $orig_height) = getimagesize($_FILES["foto"]["tmp_name"]);

		$width = $orig_width;
		$height = $orig_height;

		if ($height > $max_height) {
			$width = ($max_height / $height) * $width;
			$height = $max_height;
		}

		if ($width > $max_width) {
			$height = ($max_width / $width) * $height;
			$width = $max_width;
		}

		$image_p = imagecreatetruecolor($width, $height);
		$image = imagecreatefromjpeg($_FILES["foto"]["tmp_name"]);
		imagecopyresampled($image_p, $image, 0, 0, 0, 0, 
						   $width, $height, $orig_width, $orig_height);
		return $image_p;
}

?>